<?php

declare(strict_types=1);

namespace ApiModel\Shared\Exceptions;

final class NotFoundException extends ApiException
{
    /** @param array<string, mixed>|null $details */
    public function __construct(string $message = 'Not Found', ?array $details = null)
    {
        parent::__construct($message, 404, 'NOT_FOUND', $details);
    }
}
